Subject: If you would write git from scratch now, what would you change?

From: Jakub Narebski <[email-masked]>
Date: Sun, 25 Nov 2007 22:48:27 +0100

If you would write git from scratch now, from the beginning, without 
concerns for backwards compatibility, what would you change, or what 
would you want to have changed?

Yes, I know, I know. "Worse is better". It is better to release early 
and get feedback what is really needed, as opposed to what do you think 
is needed.

I think git is a wonderful example of "evolved" software, evolving 
practically from the very beginnings.

-- 
Jakub Narebski
Poland